# Function omit

- omit(obj, propNames): {}

- Return a copy of the object omitting the blacklisted properties.

  #### Parameters

  - obj: any

    the source object

  - propNames: any

    an Array of strings, which are the blacklisted property names

  #### Returns {}

  #### Example

      var foo = { a: 1, b: 2, c: 3 };
      var ab = omit(foo, ['a', 'b']); // { c: 3 }

  - Defined in shared/common.js:212